:root {
    --primary-50: 236 253 245;
    --primary-100: 209 250 229;
    --primary-200: 167 243 208;
    --primary-300: 110 231 183;
    --primary-400: 52 211 153;
    --primary-500: 0 80 75;
    --primary-600: 0 53 50;
    --primary-700: 4 120 87;
    --primary-800: 6 95 70;
    --primary-900: 4 78 56;
    --primary-950: 2 44 34;
    --surface-0: 255 255 255;
    --surface-50: 250 250 250;
    --surface-100: 244 244 245;
    --surface-200: 228 228 231;
    --surface-300: 212 212 216;
    --surface-400: 161 161 170;
    --surface-500: 113 113 122;
    --surface-600: 82 82 91;
    --surface-700: 63 63 70;
    --surface-800: 39 39 42;
    --surface-900: 24 24 27;
    --surface-950: 9 9 11;
}

body {
    font-family: sans-serif;
    margin: 0;
    padding: 0;
    height: 100vh;
}

body.unauthenticated {
    header {
        background-color: darkred;
    }
}

header {
    display: block;
    width: 100%;
    background-color: rgb(var(--primary-500));
    color: white;
    padding-inline: 16px;
    box-sizing: border-box;

    & a {
        text-decoration: none;
        color: white;
        font-weight: bold;
        background-color: blue;
        display: block;
        border-radius: 8px;
        padding: 4px;
    }

    & .header-container {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }
}

#reader {
    display: block;
    aspect-ratio: 1/1;
}

#result {
    text-align: center;

    & button {
        display: block;
        margin: 0 auto;
        margin-block: 8px;
    }
}

/* Scanner Settings */

video {
    max-height: 50vh;
}